[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TLargeintField.MaxValue

Maximum value for the field

## Declaration

Source position: db.pas line 628

`published property TLargeintField.MaxValue : LargeInt read FMaxValue write SetMaxValue default 0;`

## Description

MaxValue is the maximum value for the field if set to any value different from zero. When setting the field's value, the value may not be larger than MaxValue. Any attempt to write a larger value as the field's content will result in an exception. By default MaxValue equals 0, i.e. any integer value is allowed.

If MaxValue is set, MinValue should also be set, because it will also be checked.

## See also

TLargeIntField.MinValue |  | Minimum value for the field